#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)
%define framework syntax-highlighting

%define rel 1

Name:           kf5-%framework
Version: 5.115.0
Release:        %mkrel %{rel}
Summary:        KDE Frameworks 5 Tier 1 Syntax highlighting Engine for Structured Text and Code
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://kde.org
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Quick)

Conflicts:      %{framework} < 5.113.0


%description
KDE Frameworks 5 Tier 1 Syntax highlighting Engine for Structured Text and Code.

%files -f syntaxhighlighting5_qt.lang
%_kf5_categoriesdir/ksyntaxhighlighting.*categories
%_kf5_bindir/kate-syntax-highlighter
%dir %_kf5_qmldir/org/kde/syntaxhighlighting
%_kf5_qmldir/org/kde/syntaxhighlighting/libkquicksyntaxhighlightingplugin.so
%_kf5_qmldir/org/kde/syntaxhighlighting/qmldir

#------------------------------------------------------------------------------

%define syntaxhighlighting_major 5
%define libsyntaxhighlighting %mklibname kf5syntaxhighlighting %syntaxhighlighting_major

%package -n %libsyntaxhighlighting
Summary:        KDE Frameworks 5 Tier 1 Syntax highlighting Engine for Structured Text and Code
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libsyntaxhighlighting
KDE Frameworks 5 Tier 1 Syntax highlighting Engine for Structured Text and Code.

%files -n %libsyntaxhighlighting
%_kf5_libdir/libKF5SyntaxHighlighting.so.%{syntaxhighlighting_major}{,.*}

#------------------------------------------------------------------------------

%define libname %mklibname kf5syntaxhighlighting -d

%package -n %libname
Summary:        Devel packages for %name
Group:          System/Libraries
Requires:       %libsyntaxhighlighting = %version-%release
Provides:       %name-devel = %version-%release

%description -n %libname
Devel packages for %name.

%files -n %libname
%_kf5_includedir/KSyntaxHighlighting/
%_kf5_libdir/cmake/KF5SyntaxHighlighting/
%_kf5_libdir/libKF5SyntaxHighlighting.so
%_kf5_mkspecsdir/qt_KSyntaxHighlighting.pri

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{framework}-%{version}

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang_kf5 syntaxhighlighting5_qt


%changelog
* Mon Feb 12 2024 daviddavid <daviddavid> 5.115.0-1.mga10
+ Revision: 2040609
- New version 5.115.0

* Sat Jan 20 2024 daviddavid <daviddavid> 5.114.0-1.mga10
+ Revision: 2032358
- New version 5.114.0

* Sat Jan 06 2024 daviddavid <daviddavid> 5.113.0-1.mga10
+ Revision: 2028252
- New version 5.113.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952101
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947895
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941402
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935051
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922302
- New version 5.101.0

* Mon Nov 28 2022 daviddavid <daviddavid> 5.100.0-2.mga9
+ Revision: 1912102
- enable Qt5Quick support

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911670
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900273
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887710
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880652
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871752
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853272
- New version 5.93.0

* Sat Apr 09 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1848345
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754880
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749132
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735314
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723514
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714902
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702078
- New version 5.80.0

* Mon Mar 01 2021 daviddavid <daviddavid> 5.79.1-1.mga9
+ Revision: 1695097
- New version 5.79.1

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691172
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653387
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633237
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625672
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612869
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603144
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592836
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582062
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566553
- New version 5.69.0
+ danf <danf>
- Switch URLs from http: to https:

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1557046
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546813
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486866
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Mon Dec 16 2019 daviddavid <daviddavid> 5.65.0-2.mga8
+ Revision: 1468351
- enable Qt5PrintSupport support

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466277
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457667
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451042
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444854
- New version 5.62.0

* Fri Jul 26 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1424351
- fix devel and library pkg-name

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420644
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386995
- New version 5.57.0

* Tue Apr 02 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1384931
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374650
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364584
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356716
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339263
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319009
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1301284
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247361
- New version 5.49.0

* Thu May 17 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230214
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192326
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182381
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161282
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140444
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123551
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089424
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074580
- New version 5.29.0

* Fri Dec 09 2016 neoclust <neoclust> 5.28.0-2.mga6
+ Revision: 1073575
- Fix Requires on lib

* Thu Dec 08 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1073401
- imported package syntax-highlighting

